php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #34561 libphp5.so is not build when using --with-mysqli option.
Submitted: 2005-09-20 13:10 UTC Modified: 2005-09-21 12:06 UTC
From: s dot lemke at infoworxx dot de Assigned:
Status: Not a bug Package: MySQLi related
PHP Version: 5.0.5 OS: Linux 2.6.11
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
10 + 46 = ?
Subscribe to this entry?

 
 [2005-09-20 13:10 UTC] s dot lemke at infoworxx dot de
Description:
------------
Excatly the same problem#34512, 
libphp5.so is not build when using --with-mysqli option.

PHP 5.0.5
Mysql 4.1.14
debian 3.1
PHP and Mysql are installed from Source, not from apt.

Please let me know, what infos else do you need,

Sebastian

Reproduce code:
---------------
./configure \
"--with-mysqli" \
"--with-apxs=/usr/local/apache/bin/apxs" \
"--with-config-file-path=/infoworxx/conf/apache" \
"--with-openssl=/usr" \
"--with-curl=/usr" \
"--with-libxml-dir" \
"--with-pear" \
"--with-gettext" \
"--with-fdftk" \
"--with-bz2" \
"--prefix=/usr" \
"--exec-prefix=/usr" \
"--enable-mailparse" \
"--enable-ftp" \
"--enable-wddx" \
"--enable-track-vars" \
"--enable-calendar" \
"--enable-sockets" \
"--enable-inline-optimization" \
"--enable-mbstring" \
"--disable-trans-sid" \
"--disable-debug" \
"--with-zlib" \
"--with-gd" \
"--with-jpeg-dir" \
"--with-png-dir" \
"--with-freetype-dir" \
"--with-tiff-dir" \
"--with-imagick"

Expected result:
----------------
libphp5.so is not build.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-09-20 13:18 UTC] sniper@php.net
Do you use the same Debian version as in bug #34512?

 [2005-09-20 13:24 UTC] sniper@php.net
Also, what gcc and ld versions you have?
Do you set any CFLAGS/LDFLAGS yourself? 
How did you compile Mysql?
Did you compile Apache yourself?

 [2005-09-21 07:48 UTC] s dot lemke at infoworxx dot de
Hello,

at first of all - it works - the .so is being build. 
But I do not know why. Could it be that "make distclean" makes NOT all clear. The only thing (I mean) which was changed was, that I removed the hole directory and untared it from the original instead of makeing distclean.
I do not know excatly which version, sarge or woody.
Self-Compiled Kernel 2.6.11.7 - uname --all:
Linux www 2.6.11.7 #6 Wed Aug 3 16:39:23 CEST 2005 i686 GNU/Linux


No CFLAGS/LDFLAGS set (also tried:
CPPFLAGS='-I/usr/include -I/usr/include/mysql' \
LDFLAGS='-L/usr/lib -L/usr/lib/mysql' \
). 
gcc (GCC) 3.3.5 (Debian 1:3.3.5-13)
GNU ld version 2.15

Compiled Mysql & Apache on my own.

MySql:
CHOST="i686-pc-linux-gnu" \
CFLAGS="-march=i686 -O3 -pipe -fomit-frame-pointer" \
CXX=gcc \
CXXFLAGS="-march=i686 -O3 -pipe -fomit-frame-pointer -felide-constructors -fno-ex
ceptions -fno-rtti" \
./configure \
"--prefix=/usr" \
"--localstatedir=/infoworxx/db/mysql" \
"--with-berkeley-db" \
"--sysconfdir=/infoworxx/conf" \
"--with-named-z-lib" \
"--with-character-set=latin1" \
"--with-collation=latin1_german2_ci" \
"$@"

Apache (with mod_ssl):
SSL_BASE=/usr \
./configure \
"--with-layout=Apache" \
"--prefix=/usr/local/apache" \
"--enable-suexec" \
"--suexec-caller=wwwrun" \
"--enable-module=ssl" \
"--enable-module=most" \
"--enable-shared=ssl" \
"--enable-shared=max" \
"--sysconfdir=/infoworxx/conf/apache" \
"$@"

Regards,
Sebastian
 [2005-09-21 12:06 UTC] sniper@php.net
So don't use 'make distclean'..

 [2005-09-21 12:06 UTC] sniper@php.net
Also: Don't try to outsmart the configure with your own cflags or such, configure knows better..

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Tue May 24 09:05:44 2022 UTC